### Function

# Gck Slot from_handle

#### Declaration [src]

    GckSlot*
    gck_slot_from_handle (
      GckModule* module,
      gulong slot_id
    )

#### Description [src]

Create a new GckSlot object for a raw PKCS#11 handle.

#### Parameters

`module`

  Type: `GckModule`

  The module that this slot is on.

  The data is owned by the caller of the function.

`slot_id`

  Type: `gulong`

  The raw PKCS#11 handle or slot id of this slot.

#### Return value

Type: `GckSlot`

The new GckSlot object.

The caller of the function takes ownership of the data, and is responsible for freeing it.